# StreamLogger Class Reference
[Various accompanying utilities]

Inheritance diagram for StreamLogger:
[legend]

List of all members.

## Public Member Functions

| __destruct ()
| getOutputStream ()
| setOutputStream (OutputStream $stream)
| flush ()
| close ()

## Static Public Member Functions

static | create ()

## Protected Member Functions

| publish (LogRecord $record)

## Private Attributes

| $stream = null

## Detailed Description

Definition at line 15 of file StreamLogger.class.php.

## Constructor & Destructor Documentation

StreamLogger::__destruct | ( |  | ) |

Definition at line 19 of file StreamLogger.class.php.

References close().

Here is the call graph for this function:

## Member Function Documentation

StreamLogger::close | ( |  | ) |

Returns:
  StreamLogger

Definition at line 68 of file StreamLogger.class.php.

References flush().

Referenced by __destruct().

Here is the call graph for this function:

static StreamLogger::create | ( |  | ) | `[static]`

Returns:
  StreamLogger

Definition at line 31 of file StreamLogger.class.php.

StreamLogger::flush | ( |  | ) |

Returns:
  StreamLogger

Definition at line 57 of file StreamLogger.class.php.

Referenced by close().

StreamLogger::getOutputStream | ( |  | ) |

Returns:
  OutputStream

Definition at line 39 of file StreamLogger.class.php.

StreamLogger::publish | ( | LogRecord $ | record | ) | `[protected]`

Returns:
  StreamLogger

Reimplemented from BaseLogger.

Definition at line 84 of file StreamLogger.class.php.

References LogRecord::toString().

Here is the call graph for this function:

StreamLogger::setOutputStream | ( | OutputStream $ | stream | ) |

Returns:
  StreamLogger

Definition at line 47 of file StreamLogger.class.php.

## Member Data Documentation

StreamLogger::$stream = null`[private]`

Definition at line 17 of file StreamLogger.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Logging/StreamLogger.class.php